#! /bin/sh
ifile=$1
ofile=$2
label=$3
wait=$4
outfile=$5

date=`date '+%D %H:%M'`
sm -s << FIN
if ($wait) {xterm_p} else {laser_pp $outfile\n lweight 2}
expand 0.9
da $ifile
read {irho 1 iu 2 itemp 3}
set is=1.5*ln(irho*itemp/(irho**1.666667))
set i=0,dimen(irho)-1,1
set x=i/dimen(irho)
da times
read row times 1
da $ofile
read {t 1 rho 2 u 3 temp 4}
set s=1.5*ln(rho*temp/(rho**1.666667))
set rholim=rho if (t<times[dimen(times)-1]+0.005) 
set ulim=u if (t<times[dimen(times)-1]+0.005) 
set templim=temp if (t<times[dimen(times)-1]+0.005) 
set slim=s if (t<times[dimen(times)-1]+0.005) 
set rholim=rholim concat irho
set rholim2=irho concat (1.1*irho) concat (0.9*irho)
set ulim=ulim concat iu
set templim=temp concat itemp
set slim=slim concat is 
sixwin 1
limits 0 1 rholim
box
sixwin 2
limits 0 1 rholim2
box
sixwin 6
limits 0 1 ulim
box
sixwin 3
limits 0 1 templim
box
sixwin 4
limits 0 1 slim
box
sixwin 1
limits 0 1 rholim
connect x irho
sixwin 2
limits 0 1 rholim2
connect x irho
sixwin 6
limits 0 1 ulim
connect x iu
sixwin 3
limits 0 1 templim
connect x itemp
sixwin 4
limits 0 1 slim
connect x is
macro plt 1 {
  echo
  set rho1=rho if (abs(t-\$1)<0.005)
  set u1=u if (abs(t-\$1)<0.005)
  set temp1=temp if (abs(t-\$1)<0.005)
  set s1=1.5*ln(rho1*temp1/(rho1**1.666667))
  sixwin 1
  limits 0 1 rholim
  connect x rho1
  sixwin 2
  limits 0 1 rholim2
  connect x rho1
  sixwin 6
  limits 0 1 ulim
  connect x u1
  sixwin 3
  limits 0 1 templim
  connect x temp1
  sixwin 4 
  limits 0 1 slim
  connect x s1
}
do i=0,dimen(times)-1 {
    define color (3+\$i)
    ctype \$color
    define time (times[\$i])
    plt \$time 
}
ltype 0
ctype 0
limits 0 10 0 10
sixwin 1
relocate -2.8 5
putlabel 5 \rho
sixwin 2
relocate -2.8 5
putlabel 5 \rho
sixwin 6
relocate -2.8 5
putlabel 5 u
sixwin 3
relocate 5 -1.8
putlabel 5 x
relocate -2.8 5
putlabel 5 T
sixwin 4
relocate 5 -1.8
putlabel 5 x
relocate -2.8 5
putlabel 5 s
expand 0.85
sixwin 5
ullinlbl 9.25 0 t=0
do i=0,dimen(times)-1 {
    define color (3+\$i)
    define time (sprintf('%.3f',times[\$i]))
    define y (8.5-0.75*\$i)
    ulclinlbl \$y 0 \$color \$time
}
ctype 0
sixlabel 12 $label
putdate "$date"
if ($wait) {!sleep $wait} else {hardcopy}
FIN
